# ifx_num_fields

(PHP 4, PHP 5 < 5.2.1)

ifx_num_fields — Returns the number of columns in the query

### Description

ifx_num_fields ( resource `$result_id` ) : int

After preparing or executing a query, this call gives you the number of columns in the query.

### Parameters

`result_id`

  `result_id` is a valid resultid returned by ifx_query() or ifx_prepare() (select type queries only!).

### Return Values

Returns the number of columns in query for `result_id`, or `FALSE` on errors.

### Examples

Example #1 ifx_num_fields() Example

`<?php
$conn_id = ifx_connect("db", "user", "password");
$res_id = ifx_query("select * from systables", $conn_id);
echo ifx_num_fields($res_id);
?>`

### See Also

- ifx_num_rows() - Count the rows already fetched from a query